Browse Source

Use the new cargo feature resolver "2"

Garage currently uses the legacy resolver "1". The new one is used
by default if the root package specifies 'edition = 2021', which
Garage does not (yet).

The problem with the legacy resolver is, among others, that features
enabled by dev-dependencies are propagated to normal dependencies.
This affects e.g. hyper - one of the dev-dependencies enables "http2"
feature that adds many extra dependencies. If we build garage without
opentelemetry-otlp (this is enabled in the following commit), there's
no normal dependency enabling "http2" feature.

See https://doc.rust-lang.org/cargo/reference/resolver.html#feature-resolver-version-2
pull/372/head
Jakub Jirutka 4 weeks ago
parent
commit
db72812f01
  1. 1
      Cargo.toml

1
Cargo.toml

@ -1,4 +1,5 @@
[workspace]
resolver = "2"
members = [
"src/db",
"src/util",

Loading…
Cancel
Save